Subject: [OAUTH-WG] Fwd: New Version Notification for draft-lodderstedt-oauth-rar-02.txt
From: Torsten Lodderstedt <[email-masked]>
To: oauth <[email-masked]>
Cc: Justin Richer <[email-masked]>, Brian Campbell <[email-masked]>
Date: Sat, 21 Sep 2019 19:51:25 +0200
List-Id: OAUTH WG <oauth.ietf.org>

Hi all, 

I just published a draft about “OAuth 2.0 Rich Authorization Requests” (formerly known as “structured scopes”). 

https://tools.ietf.org/html/draft-lodderstedt-oauth-rar-02 <https://tools.ietf.org/html/draft-lodderstedt-oauth-rar-02>

It specifies a new parameter “authorization_details" that is used to carry fine grained authorization data in the OAuth authorization request. This mechanisms was designed based on experiences gathered in the field of open banking, e.g. PSD2, and is intended to make the implementation of rich and transaction oriented authorization requests much easier than with current OAuth 2.0.

I’m happy that Justin Richer and Brian Campbell joined me as authors of this draft. We would would like to thank Daniel Fett, Sebastian Ebling, Dave Tonge, Mike Jones, Nat Sakimura, and Rob Otto for their valuable feedback during the preparation of this draft.

We look forward to getting your feedback. 

kind regards,
Torsten. 

> Begin forwarded message:
> 
> From: [email-masked]
> Subject: New Version Notification for draft-lodderstedt-oauth-rar-02.txt
> Date: 21. September 2019 at 16:10:48 CEST
> To: "Justin Richer" <[email-masked]>, "Torsten Lodderstedt" <[email-masked]>, "Brian Campbell" <[email-masked]>
> 
> 
> A new version of I-D, draft-lodderstedt-oauth-rar-02.txt
> has been successfully submitted by Torsten Lodderstedt and posted to the
> IETF repository.
> 
> Name:		draft-lodderstedt-oauth-rar
> Revision:	02
> Title:		OAuth 2.0 Rich Authorization Requests
> Document date:	2019-09-20
> Group:		Individual Submission
> Pages:		16
> URL:            https://www.ietf.org/internet-drafts/draft-lodderstedt-oauth-rar-02.txt
> Status:         https://datatracker.ietf.org/doc/draft-lodderstedt-oauth-rar/
> Htmlized:       https://tools.ietf.org/html/draft-lodderstedt-oauth-rar-02
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-lodderstedt-oauth-rar
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-lodderstedt-oauth-rar-02
> 
> Abstract:
>   This document specifies a new parameter "authorization_details" that
>   is used to carry fine grained authorization data in the OAuth
>   authorization request.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>